﻿using System;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Serialization;

using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using Microsoft.SharePoint.WebPartPages;

namespace WPConnected
{
    [Guid("685dce6d-040b-4238-9704-c4fbe5d5809c")]
    public class WPConsumer : System.Web.UI.WebControls.WebParts.WebPart
    {
        private IExchange _provider;

        public WPConsumer()
        {
        }

        protected override void CreateChildControls()
        {
            base.CreateChildControls();

            Label l = new Label();

            if (_provider != null)
            {
                switch (_provider.Langue)
                {
                    case "FR":
                        l.Text = "Bonjour";
                        break;
                    case "EN":
                        l.Text = "Hello";
                        break;
                }
            }

            Controls.Add(l);
        }

        [ConnectionConsumer("Langue")]
        public void GetProvider(IExchange exchange)
        {
            _provider = exchange;
        }
    }
}
