﻿using System;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Serialization;

using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using Microsoft.SharePoint.WebPartPages;

namespace WPConnected
{
    [Guid("f24c2e05-9445-4ba3-b7a2-c318d4d2c10e")]
    public class WPProvider : System.Web.UI.WebControls.WebParts.WebPart, IExchange
    {
        private DropDownList _dropDownList;

        public WPProvider()
        {
        }

        protected override void CreateChildControls()
        {
            base.CreateChildControls();

            _dropDownList = new DropDownList();

            _dropDownList.AutoPostBack = true;

            _dropDownList.Items.Add("FR");
            _dropDownList.Items.Add("EN");

            Controls.Add(_dropDownList);
        }

        #region IExchange Members

        public string Langue
        {
            get { return _dropDownList.SelectedValue; }
        }

        #endregion

        [ConnectionProvider("Langue")]
        public IExchange GetProvider()
        {
            return this;
        }
    }
}
